CREATE TABLE cn_srp_asgn_1006_matches (
    TRANS_OBJECT_ID           NUMBER            NOT NULL,
    END_DATE                  DATE          ,
    START_DATE                DATE          ,
    EVENT_DATE                DATE          ,
    WORKER_ID                 NUMBER            NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    RULE_ID                   NUMBER            NOT NULL,
    ABSOLUTE_RANK             NUMBER        ,
    TOP_LEVEL_RULE_ID         NUMBER        ,
    NUM_WINNERS               NUMBER        ,
    TRANS_OBJECT_ID           NUMBER            NOT NULL,
    END_DATE                  DATE          ,
    START_DATE                DATE          ,
    EVENT_DATE                DATE          ,
    WORKER_ID                 NUMBER            NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    RULE_ID                   NUMBER            NOT NULL,
    ABSOLUTE_RANK             NUMBER        ,
    TOP_LEVEL_RULE_ID         NUMBER        ,
    NUM_WINNERS               NUMBER        
);
